List Billing Transactions
The purpose of this endpoint is to deliver billing transaction information related to a specific Principal (principalId) and, optionally, a set of Account(s) (accountIds).
This Data Adapter endpoint is used to deliver the responses for the following Consumer Data Standards endpoint:
Data Adapter APIβ
List Energy Account Billing Transactionsβ
Loading...
Β
Consumer Data Standards Associationsβ
Get Billing for Energy Accountβ
Loading...
Β
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Date | 400 | urn:au-cds:error:cds-all:Field/InvalidDateTime | Applies when the value of the parameter oldest-date or newest-date is of an invalid type. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Page Size | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize | Applies when the value of the parameter page is an invalid type or violates ANY of the field's constraints. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Missing Required Field | 400 | urn:au-cds:error:cds-all: Field/Missing | Applies when the required query parameter is not supplied in the request. The request is missing a mandatory field required for the API. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 404 | urn:au-cds:error:cds-all:Resource/Invalid |
| Invalid Page | 422 | urn:au-cds:error:cds-all: Field/InvalidPage | Applies when the value of the parameter page violates ANY of the field's constraints. | 422 | urn:au-cds:error:cds-all: Field/InvalidPage |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Internal Server Error | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected | This status code indicates that the server encountered an internal error or misconfiguration. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
Get Bulk Billingβ
Loading...
Β
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Date | 400 | urn:au-cds:error:cds-all:Field/InvalidDateTime | Applies when the value of the parameter oldest-date or newest-date is of an invalid type. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Page Size | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize | Applies when the value of the parameter page is an invalid type or violates ANY of the field's constraints. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Missing Required Field | 400 | urn:au-cds:error:cds-all: Field/Missing | Applies when the required query parameter is not supplied in the request. The request is missing a mandatory field required for the API. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 404 | urn:au-cds:error:cds-all:Resource/Invalid |
| Invalid Page | 422 | urn:au-cds:error:cds-all: Field/InvalidPage | Applies when the value of the parameter page violates ANY of the field's constraints. | 422 | urn:au-cds:error:cds-all: Field/InvalidPage |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Internal Server Error | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected | This status code indicates that the server encountered an internal error or misconfiguration. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
Get Billing for Specific Energy Accountsβ
Loading...
Β
CDR Error Mappingβ
| Title | Status Code | Adapter URN - Error Code | Detail | CDR Status Code | CDR URN - Error Code |
|---|---|---|---|---|---|
| Invalid Field | 400 | urn:au-cds:error:cds-all:Field/Invalid | Applies when the value of required path parameter, i.e. principalId is an invalid type or the value violates the field's constraints. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Header | 400 | urn:au-cds:error:cds-all:Header/Invalid | Applies when a HTTP Header is provided but the value provided is an invalid type or violates the field type constraints as defined in the Consumer Data Standards. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Date | 400 | urn:au-cds:error:cds-all:Field/InvalidDateTime | Applies when the value of the parameter oldest-date or newest-date is of an invalid type. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Page Size | 400 | urn:au-cds:error:cds-all:Field/InvalidPageSize | Applies when the value of the parameter page is an invalid type or violates ANY of the field's constraints. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Missing Required Field | 400 | urn:au-cds:error:cds-all: Field/Missing | Applies when the required query parameter is not supplied in the request. The request is missing a mandatory field required for the API. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Expected Error | 400 | urn:au-cds:error:cds-all:GeneralError/Expected | This status code indicates that the Expected Error has encountered. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
| Invalid Resource | 404 | urn:au-cds:error:cds-all:Resource/Invalid | The requested resource identifier is permanently unavailable. | 404 | urn:au-cds:error:cds-all:Resource/Invalid |
| Invalid Page | 422 | urn:au-cds:error:cds-all: Field/InvalidPage | Applies when the value of the parameter page violates ANY of the field's constraints. | 422 | urn:au-cds:error:cds-all: Field/InvalidPage |
| Legal Block | 451 | urn:dio:error:cds-all:Resource/LegalBlock | This status code indicates that the server is denying access to the resource as a consequence of a legal demand. | 422 | urn:au-cds:error:cds-all:Resource/Unavailable |
| Ineligible Block | 451 | urn:dio:error:cds-all:Resource/IneligibleBlock | This status code indicates that the Customer is ineligible for CDR Data Sharing. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Call Center Block | 451 | urn:dio:error:cds-all:Resource/CallCenterBlock | This status code indicates that the consumer should call the Call Center for further information. | 422 | urn:au-cds:error:cds-all:Resource/Invalid |
| Internal Server Error | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected | This status code indicates that the server encountered an internal error or misconfiguration. | 500 | urn:au-cds:error:cds-all:GeneralError/Unexpected |
Data Adapter version to CDR version mappingβ
The V0 Data Adapter response for ListBillingTransactions is no longer supported and will be removed from the specification in a future release
| Data Adapter Version | CDR Version | Notes |
|---|---|---|
| ListBillingTransactions V2 | GetBilling V3 | This is a 1:1 mapping. No transformation required. |
| ListBillingTransactions V2 | GetBilling V2 | Further information on this transformation, see below. |
| ListBillingTransactions V2 | GetBilling V1 | See ListBillingTransactions V1 -> GetBilling V1 and ListBillingTransactions V2 -> GetBilling V2 transformations. |
| ListBillingTransactions V1 | GetBilling V3 | Further information on this transformation, see below. |
| ListBillingTransactions V1 | GetBilling V2 | This is a 1:1 mapping. No transformation required. |
| ListBillingTransactions V1 | GetBilling V1 | By dropping ALL_DAY from the usage response and ALL_DAY and EXCESS from the demand response. For further details on this transformation, see below. |
Transformation Detailsβ
ListBillingTransactions V1 -> GetBilling V3β
GetBilling V3 introduces an optional demand.measureUnit field.
If this field is of importance to your business, you should consider implementing V2 of the adapter endpoint.
Otherwise, HaaS will map this though as null in the CDR response and the ADR client will assume a measurement unit of "KVA".
ListBillingTransactions V2 -> GetBilling V2β
The downgrade logic for this scenario will be to omit demand.measureUnit from the CDR response and the ADR client will assume a measurement unit of "KVA".
ListBillingTransactions V1 -> GetBilling V1β
ListBillingTransactions: Downgrading from GetBillingForAccount V2 to V1
In GetBillingForAccountV2, there are additional enum values for the timeOfUseType field that falls under usageand demand. The table below displays the additional values (in bold) for V2.
| usage | Demand |
|---|---|
| PEAK | PEAK |
| OFF_PEAK | OFF_PEAK |
| OFF_PEAK_DEMAND_CHARGE | OFF_PEAK_DEMAND_CHARGE |
| SHOULDER | SHOULDER |
| SHOULDER1 | SHOULDER1 |
| SHOULDER2 | SHOULDER2 |
| CONTROLLED_LOAD | CONTROLLED_LOAD |
| SOLAR | SOLAR |
| AGGREGATE | AGGREGATE |
| ALL_DAY | ALL_DAY |
| EXCESS |
Biza will follow these rules when handling the downgrade:
- If the transactionV2 type is
usage, andtransaction.usage.timeOfUseTypeisALL_DAY, it will be removed from the response as transactionV1 does not supportALL_DAY. - If the transactionV2 type is
demand, andtransaction.demand.timeOfUseTypeisALL_DAYorEXCESS, it will be removed from the response as transactionV1 does not supportALL_DAYorEXCESS.
Β
Supplemental Fieldsβ
No supplemental fields are specified.
Endpoint Specific Guidanceβ
- The Data Adapter call is made with an
accountIdsfilter at all times as this endpoint is not used prior to an arrangement being established.